<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
<li>name
: <a class="el" href="structtivx__kernel__t.html#a6c336a924c851366d1dabb837c244a0d">tivx_kernel_t</a>
, <a class="el" href="structtivx__module__t.html#a79621073aef19966ad17dd585afbc6ad">tivx_module_t</a>
, <a class="el" href="structvx__kernel__info__t.html#aa191d86fdfdc3fe918fd092693528f6f">vx_kernel_info_t</a>
, <a class="el" href="structtivx__reference__t.html#a2f4a238aac75334b52e1b9a52a576194">tivx_reference_t</a>
</li>
<li>next
: <a class="el" href="structtivx__delay__param__t.html#a8192dcb0436729668c0d60ebc0daae4f">tivx_delay_param_t</a>
</li>
<li>next_dynamic_user_kernel_id
: <a class="el" href="structtivx__context__t.html#a4ab9369a60bd665b6ac8a772764178ea">tivx_context_t</a>
</li>
<li>next_dynamic_user_library_id
: <a class="el" href="structtivx__context__t.html#a3e77e72cf1cb7a41bc1305f11d174940">tivx_context_t</a>
</li>
<li>node
: <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a2f19721659c34d7c8baf1baed986b82c">tivx_obj_desc_shm_entry_t</a>
, <a class="el" href="structtivx__object__t.html#aa39ed2ad614fe44493059987c27a859d">tivx_object_t</a>
, <a class="el" href="structtivx__delay__param__t.html#a3bcf54af4d68dfd2117647f2d59d9425">tivx_delay_param_t</a>
, <a class="el" href="structtivx__graph__t.html#ae21d01a3645e1896b84e828b69cf557a">tivx_graph_t</a>
, <a class="el" href="structtivx__parameter__t.html#aa03727814d9b11212c4715ec03cb4df3">tivx_parameter_t</a>
</li>
<li>node_complete_cmd_obj_desc_id
: <a class="el" href="structtivx__obj__desc__node__t.html#a7848e5269eca552c4a58bc7e26bbc66c">tivx_obj_desc_node_t</a>
</li>
<li>nodes
: <a class="el" href="structtivx__graph__t.html#a696ed59e5c9f6dc5367c86f972b2cf59">tivx_graph_t</a>
</li>
<li>num
: <a class="el" href="structvx__perf__t.html#af25ea855b02f3d2f94e50d87898a80ad">vx_perf_t</a>
</li>
<li>num_bins
: <a class="el" href="structtivx__obj__desc__distribution__t.html#af8a979b45b059abdb043535a9beb6f13">tivx_obj_desc_distribution_t</a>
</li>
<li>num_entries
: <a class="el" href="structtivx__obj__desc__table__info__t.html#afceda154ba232443e6ee5f97fabe4692">tivx_obj_desc_table_info_t</a>
</li>
<li>num_head_nodes
: <a class="el" href="structtivx__graph__t.html#a6cfb9ecaa87c9bed55a487bbf6f7be37">tivx_graph_t</a>
</li>
<li>num_in_nodes
: <a class="el" href="structtivx__obj__desc__node__t.html#a68c58da5f45b0048924112fdc2453e34">tivx_obj_desc_node_t</a>
</li>
<li>num_items
: <a class="el" href="structtivx__meta__format__t_1_1object__array.html#a5ce1e238600817586e90c207586acffd">tivx_meta_format_t::object_array</a>
, <a class="el" href="structtivx__obj__desc__lut__t.html#a9d88807eccef89057f02ef8da13d126d">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__array__t.html#a45cce059f24e4d0d25106ff320c496c5">tivx_obj_desc_array_t</a>
, <a class="el" href="structtivx__obj__desc__objarray__t.html#a5a8bfea097c4c4315e8c5bd739f8354d">tivx_obj_desc_objarray_t</a>
</li>
<li>num_leaf_nodes
: <a class="el" href="structtivx__graph__t.html#a45d95e11db5bbe08e3d15dc8c74de953">tivx_graph_t</a>
</li>
<li>num_levels
: <a class="el" href="structtivx__obj__desc__pyramid__t.html#a5ab669c0fe79ece3948dd70967fbec9d">tivx_obj_desc_pyramid_t</a>
</li>
<li>num_nodes
: <a class="el" href="structtivx__graph__t.html#a912f3bc63d9cd2410b00ffd765abf491">tivx_graph_t</a>
</li>
<li>num_obj_desc
: <a class="el" href="structtivx__obj__desc__cmd__t.html#ae974949d6a8911959979eeefadf412a3">tivx_obj_desc_cmd_t</a>
</li>
<li>num_of_replicas
: <a class="el" href="structtivx__obj__desc__node__t.html#a6454f4f1b941a56acdf20c576ae01644">tivx_obj_desc_node_t</a>
</li>
<li>num_out_nodes
: <a class="el" href="structtivx__obj__desc__node__t.html#a2a43c3e06b5459979e6e65809b987004">tivx_obj_desc_node_t</a>
</li>
<li>num_parameters
: <a class="el" href="structtivx__signature__t.html#a33289a39c86d7e237820c2fd50f6b140">tivx_signature_t</a>
</li>
<li>num_params
: <a class="el" href="structtivx__obj__desc__node__t.html#a4fecbe3574053ccb469a8f7aa3a72f6f">tivx_obj_desc_node_t</a>
, <a class="el" href="structtivx__graph__t.html#a9dac3e16e891f80cf2948cc47cf51224">tivx_graph_t</a>
</li>
<li>num_references
: <a class="el" href="structtivx__context__t.html#a59117164182aad680b08d6b12abd5c52">tivx_context_t</a>
</li>
<li>num_targets
: <a class="el" href="structtivx__kernel__t.html#af8e9b75c7d975818143bc06c6897f778">tivx_kernel_t</a>
</li>
<li>num_unique_kernels
: <a class="el" href="structtivx__context__t.html#a840192e70d29ea8b5f322a22d04eca16">tivx_context_t</a>
</li>
<li>num_win
: <a class="el" href="structtivx__obj__desc__distribution__t.html#aa92cb33f2eea0e3053d3bfaf491741f2">tivx_obj_desc_distribution_t</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
